%global momorel 16
Summary: MD5 Message Digest algorithm module
Name: perl-Digest-HMAC
Version: 1.01
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Digest/Digest-HMAC-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Digest/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: perl >= 5.8.8
BuildArch: noarch
BuildPreReq: perl-Digest-SHA1 >= 2.10-2m
Requires: perl-Digest-SHA1

%description
The Digest::HMAC module

%prep
rm -rf %{buildroot}

%setup -q -n Digest-HMAC-%{version} 

%build
CFLAGS="%optflags" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/Digest/HMAC/.packlist

%clean
rm -rf %{buildroot}

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.01-16m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.01-15m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.01-14m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.01-13m)
- rebuilt against perl-5.8.7
- rebuilt against perl-Digest-SHA1 2.10-2m

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.01-12m)
- rebuild against perl-5.8.5
- rebuild against perl-Digest-SHA1 2.06-2m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.01-11m)
- remove Epoch from BuildPrereq

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (1.01-10m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.01-9m)
- rebuild against perl-5.8.2
- rebuild against perl-Digest-SHA1 2.06-1m

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.01-8m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.01-7m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.01-6m)
- rebuild against perl-5.8.0

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.01-5m)
- remove BuildPreReq: gcc2.95.3

* Fri Mar  1 2002 Shingo Akagaki <dora@kondara.org>
- (1.01-4k)
- noarch

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (1.01-2k)
- create

%files
%defattr(-,root,root)
%doc Changes README rfc2104.txt
%{perl_vendorlib}/Digest/*
%{_mandir}/man?/*
